diff -crN ./scrollkeeper/buildtools/Makefile.am /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/buildtools/Makefile.am
*** ./scrollkeeper/buildtools/Makefile.am	Thu Jul 25 04:25:29 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/buildtools/Makefile.am	Fri Jul 19 11:13:40 2002
***************
*** 7,13 ****
--- 7,15 ----
  LDADD = \
          $(XML_LIBS) \
  	$(XSLT_LIBS) \
+ 	$(INTLLIBS) \
  	$(top_builddir)/libs/libscrollkeeper.la
+ # ?? : Changed by BV : Added $(INTLLIBS)
  
  noinst_PROGRAMS = \
  	scrollkeeper-tree-separate
diff -crN ./scrollkeeper/cl/src/Makefile.am /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/cl/src/Makefile.am
*** ./scrollkeeper/cl/src/Makefile.am	Thu Jul 25 04:25:29 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/cl/src/Makefile.am	Fri Jul 19 11:13:47 2002
***************
*** 7,13 ****
--- 7,15 ----
  LDADD = \
          $(XML_LIBS) \
  	$(XSLT_LIBS) \
+ 	$(INTLLIBS) \
  	$(top_builddir)/libs/libscrollkeeper.la
+ # ?? : Changed by BV : Added $(INTLLIBS)
  
  bin_PROGRAMS = scrollkeeper-preinstall scrollkeeper-update scrollkeeper-install scrollkeeper-uninstall scrollkeeper-get-cl 
  
diff -crN ./scrollkeeper/cl/src/get-cl.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/cl/src/get-cl.c
*** ./scrollkeeper/cl/src/get-cl.c	Thu Jul 25 04:25:29 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/cl/src/get-cl.c	Tue Oct  8 16:06:02 2002
***************
*** 38,49 ****
  	int i, num;
  	struct stat buf;
  	time_t prev;
  	
  	prev = 0;
  	num = 0;
  	
  	for(i = 0; i < 5; i++) {
! 		snprintf(path, PATHLEN, "/tmp/scrollkeeper-tempfile.%d", i);
  		if (stat(path, &buf) == -1) {
  			if (errno == ENOENT) {
  				/* this is an empty slot so use it */
--- 38,55 ----
  	int i, num;
  	struct stat buf;
  	time_t prev;
+ 	char loginname[9];
  	
  	prev = 0;
  	num = 0;
+ 
+ 	/* Workaround for bug [sourceforge 614263], temp files shared by multiple-users. */
+ 	/* When we will merge the next version, remove stuff related to loginname in     */
+ 	/* this function and get the official fix instead */
+ 	strncpy(loginname, getlogin(), 9);
  	
  	for(i = 0; i < 5; i++) {
! 		snprintf(path, PATHLEN, "/tmp/scrollkeeper-tempfile-%s.%d", loginname, i);
  		if (stat(path, &buf) == -1) {
  			if (errno == ENOENT) {
  				/* this is an empty slot so use it */
***************
*** 80,86 ****
  
  	filename = malloc(sizeof(char)*PATHLEN);
  	check_ptr(filename, "scrollkeeper-get-cl");
! 	snprintf(filename, PATHLEN, "/tmp/scrollkeeper-tempfile.%d", num);
  
  	return filename;
  }
--- 86,92 ----
  
  	filename = malloc(sizeof(char)*PATHLEN);
  	check_ptr(filename, "scrollkeeper-get-cl");
! 	snprintf(filename, PATHLEN, "/tmp/scrollkeeper-tempfile-%s.%d", loginname, num);
  
  	return filename;
  }
diff -crN ./scrollkeeper/cl/templates/Makefile.am /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/cl/templates/Makefile.am
*** ./scrollkeeper/cl/templates/Makefile.am	Thu Jul 25 04:25:29 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/cl/templates/Makefile.am	Mon Nov 18 17:40:18 2002
***************
*** 19,27 ****
  
  install-data-local:
  	for locale in $(TRANSLATED_LOCALES); do \
! 		$(mkinstalldirs) $(DESTDIR)$(datadir)/scrollkeeper/Templates/$$locale; \
! 		$(INSTALL_DATA) $(srcdir)/$$locale/scrollkeeper_cl.xml \
! 			$(DESTDIR)$(datadir)/scrollkeeper/Templates/$$locale; \
  	done
  
  uninstall-local:
--- 19,29 ----
  
  install-data-local:
  	for locale in $(TRANSLATED_LOCALES); do \
! 		if [ -e $(srcdir)/$$locale/scrollkeeper_cl.xml ] ; then \
! 			$(mkinstalldirs) $(DESTDIR)$(datadir)/scrollkeeper/Templates/$$locale; \
! 			$(INSTALL_DATA) $(srcdir)/$$locale/scrollkeeper_cl.xml \
! 				$(DESTDIR)$(datadir)/scrollkeeper/Templates/$$locale; \
! 		fi ; \
  	done
  
  uninstall-local:
diff -crN ./scrollkeeper/configure.in /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/configure.in
*** ./scrollkeeper/configure.in	Thu Jul 25 04:25:29 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/configure.in	Mon Nov 18 17:43:55 2002
***************
*** 33,38 ****
--- 33,57 ----
  AM_INIT_AUTOMAKE(scrollkeeper,0.3.11)
  AM_PROG_LIBTOOL
  
+ dnl ====================================
+ dnl = Instanciation of the variable "EXPANDED_LOCALSTATEDIR"
+ dnl = to fix a bug when using the non standard prefix and not explicitly
+ dnl = specifying a localstatedir
+ dnl ====================================
+ 
+ REAL_PREFIX=
+ if test "x$prefix" = "xNONE"; then
+ REAL_PREFIX=$ac_default_prefix
+ else
+ REAL_PREFIX=$prefix
+ fi
+ LOCALSTATEDIR_TMP="$localstatedir"
+ old_prefix=$prefix
+ prefix=$REAL_PREFIX
+ EXPANDED_LOCALSTATEDIR=`eval echo $LOCALSTATEDIR_TMP`
+ prefix=$old_prefix
+ AC_SUBST(EXPANDED_LOCALSTATEDIR)
+ 
  ALL_LINGUAS="az ca da de el es fr hu it ja ko nb nl no pl pt_BR ru sk sl sv tr uk vi zh_TW"
  
  dnl ====================================
***************
*** 111,116 ****
--- 130,143 ----
  fi
  XML_LIBS=`$XML_CONFIG --libs`
  XML_CFLAGS=`$XML_CONFIG --cflags`
+ 
+ dnl ====================================
+ dnl check function 
+ dnl docbParseFile (part of libxml2)
+ dnl ====================================
+ AC_CHECK_LIB(xml2, docbParseFile)
+ AC_CHECK_FUNCS(docbParseFile)
+ 
  AC_SUBST(XML_LIBS)
  AC_SUBST(XML_CFLAGS)
  LIBXML2_REQUIRED=2.4.19
***************
*** 139,150 ****
  dnl ====================================
  case "$host_os" in
     solaris*)
- 	HOST_TYPE=-DSOLARIS
- 	AC_SUBST(HOST_TYPE)
          ;;
     *)
  	AC_MSG_CHECKING(for docbook-dtd412-xml)
! 	if xmlcatalog /etc/xml/catalog "-//OASIS//DTD DocBook XML V4.1.2//EN" | grep "No entry" >/dev/null ; then
  		echo "* ERROR * "
  		echo " "
  		echo "Couldn't find the DocBook XML V4.1.2 DTD.  Please make sure that you have the docbook-dtd412-xml package installed. If it is installed, the package probably did not register the DTD in the catalog properly. Consult http://scrollkeeper.sourceforge.net/docbook.shtml for more information."
--- 166,183 ----
  dnl ====================================
  case "$host_os" in
     solaris*)
          ;;
+ dnl ======================================================
+ dnl Added management of the environment variable
+ dnl "XML_CATALOG_FILES"
+ dnl ======================================================
     *)
  	AC_MSG_CHECKING(for docbook-dtd412-xml)
! 	if test x$XML_CATALOG_FILES = x; then
! 	  XML_CATALOG_FILES=/etc/xml/catalog
! 	fi
! 
! 	if xmlcatalog $XML_CATALOG_FILES "-//OASIS//DTD DocBook XML V4.1.2//EN" | grep "No entry" >/dev/null ; then
  		echo "* ERROR * "
  		echo " "
  		echo "Couldn't find the DocBook XML V4.1.2 DTD.  Please make sure that you have the docbook-dtd412-xml package installed. If it is installed, the package probably did not register the DTD in the catalog properly. Consult http://scrollkeeper.sourceforge.net/docbook.shtml for more information."
diff -crN ./scrollkeeper/doc/omf.make /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/doc/omf.make
*** ./scrollkeeper/doc/omf.make	Thu Jul 25 04:25:33 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/doc/omf.make	Wed Jul 10 15:58:19 2002
***************
*** 12,28 ****
  
  omf: omf_timestamp
  
  omf_timestamp: $(omffile)
  	-for file in $(omffile); do \
! 	  $(top_builddir)/cl/src/scrollkeeper-preinstall $(docdir)/$(docname).xml $(srcdir)/$$file $(srcdir)/$$file.out; \
  	done
  	touch omf_timestamp
  
  install-data-hook-omf:
  	# Install the OMF files
  	$(mkinstalldirs) $(DESTDIR)$(omf_dest_dir)
  	for file in $(omffile); do \
! 		$(INSTALL_DATA) $(srcdir)/$$file.out $(DESTDIR)$(omf_dest_dir)/$$file; \
  	done
  
  uninstall-local-omf:
--- 12,43 ----
  
  omf: omf_timestamp
  
+ #omf_timestamp: $(omffile)
+ #	-for file in $(omffile); do \
+ 	  $(top_builddir)/cl/src/scrollkeeper-preinstall $(docdir)/$(docname).xml $(srcdir)/$$file $(srcdir)/$$file.out; \
+ 	done
+ #	touch omf_timestamp
+ 
+ # ?? : BV : changed directory for $file.out from $(srcdir) to .
  omf_timestamp: $(omffile)
  	-for file in $(omffile); do \
! 	  $(top_builddir)/cl/src/scrollkeeper-preinstall $(docdir)/$(docname).xml $(srcdir)/$$file ./$$file.out; \
  	done
  	touch omf_timestamp
  
+ #install-data-hook-omf:
+ 	# Install the OMF files
+ #	$(mkinstalldirs) $(DESTDIR)$(omf_dest_dir)
+ #	for file in $(omffile); do \
+ 		$(INSTALL_DATA) $(srcdir)/$$file.out $(DESTDIR)$(omf_dest_dir)/$$file; \
+ 	done
+ 
+ # ?? : BV : changed directory for $file.out from $(srcdir) to .
  install-data-hook-omf:
  	# Install the OMF files
  	$(mkinstalldirs) $(DESTDIR)$(omf_dest_dir)
  	for file in $(omffile); do \
! 		$(INSTALL_DATA) ./$$file.out $(DESTDIR)$(omf_dest_dir)/$$file; \
  	done
  
  uninstall-local-omf:
diff -crN ./scrollkeeper/extract/src/Makefile.am /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/extract/src/Makefile.am
*** ./scrollkeeper/extract/src/Makefile.am	Thu Jul 25 04:25:34 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/extract/src/Makefile.am	Fri Jul 19 11:13:44 2002
***************
*** 8,14 ****
--- 8,16 ----
  LDADD = \
          $(XML_LIBS) \
          $(XSLT_LIBS) \
+ 	$(INTLLIBS) \
          $(top_builddir)/libs/libscrollkeeper.la
+ # ?? : Changed by BV : Added $(INTLLIBS)
  
  scrollkeeper_extract_SOURCES = \
          scrollkeeper-extract.c
diff -crN ./scrollkeeper/libs/Makefile.am /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/libs/Makefile.am
*** ./scrollkeeper/libs/Makefile.am	Thu Jul 25 04:25:34 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/libs/Makefile.am	Wed Aug  7 13:20:21 2002
***************
*** 2,9 ****
  
  INCLUDES = \
          $(XML_CFLAGS) \
! 	$(XSLT_CFLAGS) \
! 	$(HOST_TYPE)
  
  libscrollkeeper_la_SOURCES = \
  	scrollkeeper.h \
--- 2,9 ----
  
  INCLUDES = \
          $(XML_CFLAGS) \
! 	$(XSLT_CFLAGS)
! ## ?? : BV : Removed $(HOST_TYPE)
  
  libscrollkeeper_la_SOURCES = \
  	scrollkeeper.h \
***************
*** 17,20 ****
  	uninstall.c \
  	update-url.c
  
! libscrollkeeper_la_LIBADD = $(XML_LIBS) $(XSLT_LIBS)
--- 17,20 ----
  	uninstall.c \
  	update-url.c
  
! libscrollkeeper_la_LIBADD = $(XML_LIBS) $(XSLT_LIBS) $(INTLLIBS)
diff -crN ./scrollkeeper/libs/extract.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/libs/extract.c
*** ./scrollkeeper/libs/extract.c	Thu Jul 25 04:25:34 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/libs/extract.c	Mon Jul 29 10:42:27 2002
***************
*** 43,49 ****
  	int i;
  	int returnval = 1;
  	FILE *fid;
! #ifndef SOLARIS
  	char line[1024], *start, *end;
  	int num;
  	FILE *res_fid;
--- 43,50 ----
  	int i;
  	int returnval = 1;
  	FILE *fid;
! /* ?? : BV : Changed macro name from SOLARIS to HAVE_DOCBPARSEFILE */
! #ifndef HAVE_DOCBPARSEFILE
  	char line[1024], *start, *end;
  	int num;
  	FILE *res_fid;
***************
*** 66,72 ****
  
  	if (!strcmp(type, "sgml")) {
  		
! #ifdef SOLARIS
  		doc = docbParseFile(input_file, NULL);
  #else
  		pid = getpid();		
--- 67,73 ----
  
  	if (!strcmp(type, "sgml")) {
  		
! #ifdef HAVE_DOCBPARSEFILE
  		doc = docbParseFile(input_file, NULL);
  #else
  		pid = getpid();		
***************
*** 136,142 ****
  			sk_message(outputprefs, SKOUT_DEFAULT, SKOUT_QUIET, "(apply_stylesheets)", _("Document is not well-formed XML: %s\n"), temp2);
  			return 0;
  		}
! #endif /*SOLARIS */
  		
  	}
  	else if (!strcmp(type, "xml")) {
--- 137,143 ----
  			sk_message(outputprefs, SKOUT_DEFAULT, SKOUT_QUIET, "(apply_stylesheets)", _("Document is not well-formed XML: %s\n"), temp2);
  			return 0;
  		}
! #endif /*HAVE_DOCBPARSEFILE */
  		
  	}
  	else if (!strcmp(type, "xml")) {
diff -crN ./scrollkeeper/libs/scrollkeeper.h.in /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/libs/scrollkeeper.h.in
*** ./scrollkeeper/libs/scrollkeeper.h.in	Thu Jul 25 04:25:34 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/libs/scrollkeeper.h.in	Mon Jul 29 10:44:22 2002
***************
*** 30,37 ****
   *
   */
  #define SCROLLKEEPERLOCALEDIR "/usr/share/locale"
! #define SCROLLKEEPERLOGFILE "@localstatedir@/log/scrollkeeper.log"
! #define SCROLLKEEPERLOGFILE_ROT "@localstatedir@/log/scrollkeeper.log.1"
  #define SCROLLKEEPER_OMF_DTD "@prefix@/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd"
  #define PATHLEN		256
  
--- 30,37 ----
   *
   */
  #define SCROLLKEEPERLOCALEDIR "/usr/share/locale"
! #define SCROLLKEEPERLOGFILE "@EXPANDED_LOCALSTATEDIR@/log/scrollkeeper.log"
! #define SCROLLKEEPERLOGFILE_ROT "@EXPANDED_LOCALSTATEDIR@/log/scrollkeeper.log.1"
  #define SCROLLKEEPER_OMF_DTD "@prefix@/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd"
  #define PATHLEN		256
  
diff -crN ./scrollkeeper/po/Makefile.in.in /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/po/Makefile.in.in
*** ./scrollkeeper/po/Makefile.in.in	Thu Jul 25 04:25:58 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/po/Makefile.in.in	Wed Oct  9 17:43:06 2002
***************
*** 1,3 ****
--- 1,4 ----
+ 
  # Makefile for program source directory in GNU NLS utilities package.
  # Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
  #
***************
*** 39,46 ****
  INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
  INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
   
! MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --dist
! GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --pot
  
  
  DEFS = @DEFS@
--- 40,47 ----
  INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
  INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
   
! MSGMERGE = INTLTOOL_EXTRACT=$(builddir)/$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --dist
! GENPOT   = INTLTOOL_EXTRACT=$(builddir)/$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --pot
  
  
  DEFS = @DEFS@
***************
*** 91,97 ****
  all-no:
  
  $(srcdir)/$(PACKAGE).pot: $(POTFILES)
! 	$(GENPOT)
  
  $(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
  $(srcdir)/stamp-cat-id: $(PACKAGE).pot
--- 92,98 ----
  all-no:
  
  $(srcdir)/$(PACKAGE).pot: $(POTFILES)
! 	cd $(srcdir) && $(GENPOT)
  
  $(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
  $(srcdir)/stamp-cat-id: $(PACKAGE).pot
***************
*** 194,200 ****
  clean: mostlyclean
  
  distclean: clean
! 	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m
  
  maintainer-clean: distclean
  	@echo "This command is intended for maintainers to use;"
--- 195,201 ----
  clean: mostlyclean
  
  distclean: clean
! 	rm -f Makefile Makefile.in *.mo *.msg *.cat *.cat.m
  
  maintainer-clean: distclean
  	@echo "This command is intended for maintainers to use;"
***************
*** 240,259 ****
  	msgfmt --statistics $*.po; echo;
  
  
! POTFILES: POTFILES.in
! 	( if test 'x$(srcdir)' != 'x.'; then \
! 	    posrcprefix='$(top_srcdir)/'; \
! 	  else \
! 	    posrcprefix="../"; \
! 	  fi; \
! 	  rm -f $@-t $@ \
! 	    && (sed -e '/^#/d' -e '/^[ 	]*$$/d' \
! 		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in \
! 		| sed -e '$$s/\\$$//') > $@-t \
! 	    && chmod a-w $@-t \
! 	    && mv $@-t $@ )
! 
! Makefile: Makefile.in.in ../config.status POTFILES
  	cd .. \
  	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
  	       $(SHELL) ./config.status
--- 241,247 ----
  	msgfmt --statistics $*.po; echo;
  
  
! Makefile: Makefile.in.in ../config.status
  	cd .. \
  	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
  	       $(SHELL) ./config.status
diff -crN ./scrollkeeper/po/POTFILES.in /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/po/POTFILES.in
*** ./scrollkeeper/po/POTFILES.in	Thu Jul 25 04:25:35 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/po/POTFILES.in	Wed Oct  9 17:27:15 2002
***************
*** 1,12 ****
- cl/src/scrollkeeper-install.c
- cl/src/preinstall.c
- cl/src/scrollkeeper-uninstall.c
- cl/src/update.c
- cl/src/get-cl.c
- libs/error.c
- libs/install.c
- libs/uninstall.c
- libs/database.c
- libs/update-url.c
- extract/src/scrollkeeper-extract.c
- cl/templates/scrollkeeper_cl.xml.in
--- 0 ----
diff -crN ./scrollkeeper/po/sv.po /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/po/sv.po
*** ./scrollkeeper/po/sv.po	Thu Jul 25 04:28:09 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./scrollkeeper/po/sv.po	Mon Nov 18 18:24:11 2002
***************
*** 2,8 ****
  # Copyright (C) 2001 Free Software Foundation, Inc.
  # Christian Rose <menthos@menthos.com>, 2001.
  #
! # $Id: sv.po,v 1.4 2002/01/12 18:00:09 muet Exp $
  #
  msgid ""
  msgstr ""
--- 2,8 ----
  # Copyright (C) 2001 Free Software Foundation, Inc.
  # Christian Rose <menthos@menthos.com>, 2001.
  #
! # $Id: sv.po,v 1.1.3.3 2002/11/18 17:23:57 bergerv Exp $
  #
  msgid ""
  msgstr ""
